%define upstream_name    Net-DNS-Resolver-Mock
%define upstream_version 1.20230216

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Mock a DNS Resolver object for testing
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Net::DNS::Packet)
BuildRequires: perl(Net::DNS::Question)
BuildRequires: perl(Net::DNS::Resolver)
BuildRequires: perl(Net::DNS::ZoneFile)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A subclass of Net::DNS::Resolver which parses a zonefile for it's data
source. Primarily for use in testing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 20 2023 tv <tv> 1.202.302.160-1.mga9
+ Revision: 1944265
- update to 1.20230216

* Fri Aug 19 2022 tv <tv> 1.202.208.170-1.mga9
+ Revision: 1878673
- update to 1.20220817

* Mon Mar 21 2022 umeabot <umeabot> 1.202.2.150-2.mga9
+ Revision: 1811844
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 tv <tv> 1.202.2.150-1.mga8
+ Revision: 1530167
- update to 1.20200215

* Sat Feb 15 2020 tv <tv> 1.202.2.140-1.mga8
+ Revision: 1525391
- update to 1.20200214

* Wed Feb 12 2020 umeabot <umeabot> 1.201.712.190-3.mga8
+ Revision: 1505532
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.201.712.190-2.mga7
+ Revision: 1285116
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 tv <tv> 1.201.712.190-1.mga7
+ Revision: 1184401
- update to 1.20171219

* Tue Oct 31 2017 tv <tv> 1.201.710.310-1.mga7
+ Revision: 1175170
- update to 1.20171031

* Tue Oct 24 2017 shlomif <shlomif> 1.201.708.140-1.mga7
+ Revision: 1173402
- imported package perl-Net-DNS-Resolver-Mock

